#
# spec file for package evas-generic-loaders
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           evas-generic-loaders
Version:        1.7.4
Release:        9.1
Summary:        Set of generic loaders for Evas
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Url:            http://.enlightenment.org/
Source:         evas_generic_loaders-%{version}.tar.bz2
BuildRequires:  eina-devel >= %version
BuildRequires:  gcc-c++
BuildRequires:  gstreamer-devel
BuildRequires:  poppler-devel
BuildRequires:  LibRaw-devel
BuildRequires:  librsvg2-devel
BuildRequires:  libspectre-devel
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Set of generic loaders allowing to open XCF, PDF, PS, RAW, MPG/AVI/OGV/MOV/MKV/WMV. Useful only for evas library.

%prep
%setup -q -n evas_generic_loaders-%{version}

%build
%configure --disable-static --disable-silent-rules
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%clean
%{?buildroot:rm -rf %{buildroot}}

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_libdir}/evas/

%changelog
* Sat Dec 22 2012       Andrew Wyatt <andrew@fuduntu.org> - 1.7.4-9.1
- Built for Fuduntu

* Fri Dec 21 2012 sleep_walker@suse.cz
- update to 1.7.4
  Changes since Evas Generic Loaders 1.7.3:
  No changes, just updating to keep in sync with last release.
* Fri Dec 21 2012 sleep_walker@suse.cz
- minor spec cleanup
* Sat Dec  8 2012 simon@simotek.net
- Bump to 1.7.3
- 1.7.3 is a bugfix release to coincide with the beta release of efl
* Sat Nov 24 2012 sleep_walker@suse.cz
- require the same version or higher for EFL libraries
- simplify make install
- --disable-silent-rules
* Fri Nov 23 2012 simon@simotek.net
- bump to 1.7.2
- 1.7.2 is required to build and use the latest e17 alpha's
* Tue Nov 20 2012 cfarrell@suse.com
- license update: GPL-2.0+
  I see no reason why this should be BSD-2-Clause. The COPYING file is
  GPL-2.0 and e.g. src/bin/xcf/pixelfuncs.c is also clearly GPL-2.0+
* Mon Nov 19 2012 sleep_walker@suse.cz
- spec file cleanup
* Sun Oct 21 2012 simon@simotek.net
- bump to 1.7.1
* Wed Sep 19 2012 sleep_walker@suse.cz
- use 'make install DESTDIR=%%buildroot' for fedora, mandriva, centos
* Fri Jun 22 2012 sleep_walker@suse.cz
- let there be evas_generic_loaders
